tag @a remove alpha
tag @a remove beta
tag @a remove tutorial
tag @a[team=alpha] add alpha
tag @a[team=beta] add beta

team join preThieves @a[team=alpha]
team join preGuards @a[team=beta]

gamemode spectator @a[team=spectate]
tp @a[team=spectate] 0 58 0

#Starting money
scoreboard players set @a[team=preThieves] money 0
scoreboard players set @a[team=preGuards] money 0

scoreboard players set .thiefAEarning money 0
scoreboard players set .guardAEarning money 0
scoreboard players set .thiefBEarning money 0
scoreboard players set .guardBEarning money 0

scoreboard players set .thiefATotal money 200
scoreboard players set .guardATotal credits 20
scoreboard players set .thiefBTotal money 200
scoreboard players set .guardBTotal credits 20

execute as @a[tag=alpha] run scoreboard players add .thiefATotal money 300
execute as @a[tag=alpha] run scoreboard players add .guardATotal credits 4
execute as @a[tag=beta] run scoreboard players add .thiefBTotal money 300
execute as @a[tag=beta] run scoreboard players add .guardBTotal credits 4

scoreboard objectives setdisplay list money

scoreboard players set @a stamina 0
scoreboard players set @a musicSet -1
scoreboard players set @a notSprint 0
scoreboard players set @a death 0

effect clear @a weakness
effect clear @a regeneration
effect clear @a slowness
effect clear @a jump_boost

function cc:shop/alpha/pricing/reset_prices

#Give each player an ID
function cc:generation/player_id

function cc:generation/game_id

function cc:rounds/generate/new_round