scoreboard players add @e[team=thieves] invisCool 0
scoreboard players set @e[team=thieves] obstacleDir 0

execute as @a[team=thieves,scores={roundPhase=3},tag=inCams] at @s anchored eyes run function cc:stealth/camera/spectate/main

#Invisible checker
execute as @e[team=thieves,scores={crouch=1..}] at @s run function cc:stealth/obstacle_check
execute as @e[team=thieves,tag=!invisible] at @s run function cc:stealth/nearby_guard
execute as @e[team=thieves,tag=!invisible] at @s run function cc:stealth/camera/nearby_camera
scoreboard players set @e[team=thieves,tag=invisible,scores={invisCool=1..}] invisCool 0

execute at @e[tag=camera,scores={emp=1}] run particle minecraft:enchanted_hit ~ ~ ~ 0.2 0.2 0.2 0.2 1 normal
execute as @e[tag=camera] at @s unless entity @e[tag=emp,type=item,distance=..15] run scoreboard players set @s emp 0

#Effects in sight
effect give @e[team=thieves,scores={invisCool=..20}] minecraft:invisibility 1 255 true
execute as @e[team=thieves,scores={invisCool=1..20}] at @s run particle minecraft:dust 0 0 0 1 ~ ~1 ~ 0.2 0.5 0.2 0 1 normal @a[team=guards]
execute as @e[team=thieves,scores={invisCool=1..20}] at @s run particle minecraft:smoke ~ ~0.8 ~ 0.05 0.4 0.05 0.01 2 normal @a[team=guards]
effect clear @e[team=thieves,scores={invisCool=21..}] minecraft:invisibility
effect clear @e[team=thieves,scores={invisCool=21..}] minecraft:resistance

execute as @a[team=thieves,scores={invisCool=1..20}] at @s run function cc:stealth/warning_sound
execute as @a[team=thieves,scores={invisCool=21},tag=visible] at @s run function cc:stealth/alert_sound
execute as @a[team=thieves,scores={invisCool=0},tag=!visible] run title @s title {"text":"[ ✔ ]","color":"dark_green"}

#Guard sight cone
execute as @e[team=guards,tag=!camera,scores={viewDis=1..15}] at @s anchored eyes facing ^5 ^ ^10 positioned ^ ^ ^ run function cc:stealth/guard_vision_cone
execute as @e[team=guards,tag=!camera,scores={viewDis=1..15}] at @s anchored eyes facing ^-5 ^ ^10 positioned ^ ^ ^ run function cc:stealth/guard_vision_cone

#Invisible Times
scoreboard players set @e[team=thieves,scores={invisCool=..-1},tag=visible] invisCool 0
scoreboard players add @e[team=thieves,scores={invisCool=..39},tag=visible] invisCool 1
scoreboard players add @e[team=thieves,scores={invisCool=40..69,playerStatus=3},tag=visible] invisCool 1
scoreboard players add @e[team=thieves,scores={invisCool=..19},tag=visible,tag=] invisCool 1
execute as @e[team=thieves,scores={invisCool=0..}] unless entity @s[tag=visible] run scoreboard players remove @s invisCool 1

execute as @a[team=thieves,tag=!camera] at @s run function cc:stealth/guard_ping